curl --request GET \
--url https://api.onset.io/v1/releases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onset.io/v1/releases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onset.io/v1/releases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"body": "<string>",
"slug": "<string>",
"status": "DRAFT",
"version": "<string>",
"is_pinned": true,
"is_public": true,
"is_pre_release": true,
"summary": "<string>",
"hero": {
"type": "image",
"url": "<string>"
},
"changes": [
{
"title": "<string>",
"color": "<string>",
"content": "<string>"
}
],
"project": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"labels": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"color": "<string>"
}
],
"attachments": [
{
"type": "FILE",
"content": {
"title": "<string>",
"url": "<string>",
"size": 123,
"type": "<string>"
},
"id": "<string>"
}
],
"contributors": [
{
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
}
],
"scheduled_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}Get release by ID
Retrieve a specific release by its ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Release ID
Response
Release retrieved successfully
Unique release identifier
Release title
Release description/body content (HTML formatted)
URL-friendly release identifier
Current release status
DRAFT, SCHEDULED, RELEASED Release version
Whether release is pinned
Whether release is publicly visible
Whether this is a pre-release
AI generated summary of the release
Hero image/video for the release
Show child attributes
Show child attributes
List of changes in this release
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
List of contributors to this release
Show child attributes
Show child attributes
When the release is scheduled to publish. Only set while status is SCHEDULED.
When the release was released
When the release was created
When the release was last updated
Was this page helpful?

